<script setup>
import { ref, provide } from 'vue';
import Memo from './components/Memo.vue'

const memos = ref([{text: "primo"}, {text: "secondo"}]);
const addMemo = (text) => {
  if (text.length == 0) return;
  memos.value.push({ text: text })
};
const deleteAll = () => {
  memos.value.splice(0, memos.value.length);
};
provide('memos', memos);
</script>

<template>
<div class="ml-6 mt-6" id="app">
  <h1 class="title">es009 component</h1>
    <div class="mb-2">
      <label class="label">memo</label>
      <input class="input" style="width: 400px;" v-model="text" placeholder="memo text" />
      <button class="button ml-2 is-primary" @click="addMemo(text)">add</button>
    </div>

    <span class="m-1" v-for="item in memos">
      <Memo :text="item.text"></Memo>
    </span>

    <p v-if="memos.length != 0">
      <button class="button mt-2 is-danger" v-on:click="deleteAll">delete all</button>
    </p>
</div>
</template>

<style>
@import 'https://cdn.jsdelivr.net/npm/bulma@1.0.0/css/bulma.min.css';
</style>
